## fspy 0.1.1

=== Makefile ===
# This file is part of fspy
# #########################

BUILD = $(shell date +%Y%m%d%H)
#DEBUG = -g -D_DEBUG
OPTS = -DMAJORVERSION=0 -DMINORVERSION=1 -DSUBMINORVERSION=1 -DBUILD=$(BUILD) -DCODENAME=\"25c3\"
CFLAGS = -Wall
SDIR = src/
ODIR = obj/
INSTBINDIR = /usr/local/bin
SRCS = $(SDIR)fspy.c $(SDIR)enumdirs.c $(SDIR)fsevents.c $(SDIR)isnumber.c $(SDIR)stating.c $(SDIR)output.c $(SDIR)regmatch.c $(SDIR)numlen.c $(SDIR)adaptive.c $(SDIR)diff.c
OBJS = $(ODIR)fspy.o $(ODIR)enumdirs.o $(ODIR)fsevents.o $(ODIR)isnumber.o $(ODIR)stating.o $(ODIR)output.o $(ODIR)regmatch.o $(ODIR)numlen.o $(ODIR)adaptive.o $(ODIR)diff.o
CC = gcc
LD = gcc
LDFLAGS =
DFLAGS = 
RM = /bin/rm
PROG = fspy

all: $(PROG)

$(PROG): $(OBJS)
	$(LD) $(LDFLAGS) $(DFLAGS) $(DEBUG) $(OPTS) $(OBJS) -o $(PROG)

$(ODIR)%.o: $(SDIR)%.c
	$(CC) $(CFLAGS) $(LDFLAGS) $(DFLAGS) $(DEBUG) $(OPTS) -c $< -o $(ODIR)$*.o

install:
	cp $(PROG) $(INSTBINDIR)/$(PROG)

clean:
	$(RM) $(PROG) $(ODIR)*.o

# DO NOT DELETE THIS LINE -- make depend depends on it.

fspy.o: fspy.h
enumdirs.o: enumdirs.h
fsevents.o: fsevents.h
isnumber.o: isnumber.h
stating.o: stating.h
output.o: output.h
regmatch.o: regmatch.h
numlen.o: numlen.h
adaptive.o: adaptive.h
diff.o: diff.h

=== debian/changelog ===
fspy (0.1.1-4) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Restrict building to linux-any,
        since inotify is not available in non-linux platforms.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sun, 07 Jun 2020 22:39:35 +0000

fspy (0.1.1-3) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added the VCS fields to use Salsa.
      - Bumped Standards Version to 4.5.0.
  * debian/copyright:
      - Added my name and email address.
  * debian/patches/03_fix_makefile_cppflags.patch:
      - Fixed Makefile by adding CPPFLAGS.
  * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS variable to improve GCC hardening.
  * debian/salsa-ci.yml:
      - Added to provide CI tests for Salsa.
  * debian/tests/control:
      - Created to perform a trivial CI test.
      - Added superficial Restriction.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 04 Jun 2020 02:59:13 +0000

fspy (0.1.1-2) unstable; urgency=medium

  * QA upload.
  * Applied reproducible build patch from Chris Lamb (Closes: #831354)
  * Bumped compat level to 10
  * Set maintainer to Debian QA Group
  * Dropped build-dep on quilt
  * Removed obsolete fields from d/control
  * Converted to source format 3.0 (quilt)
  * Converted d/rules to dh_ format
  * Removed useless watch file
  * Converted d/copyright to machine-readable format
  * Standards version 4.0.0
  * Renamed d/fspy.8 to d/fspy.1

 -- David William Richmond Davies-Jones <david@exultantmonkey.co.uk>  Tue, 01 Aug 2017 20:53:52 +0100

fspy (0.1.1-1) unstable; urgency=low

  * New Upstream Version
    + Upstream added the relevant LICENSE file and a copy of the GPL v2 and 3
      to the package, thanks!

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 31 Jan 2009 18:31:13 +0100

fspy (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #513577) (LP: #323054)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 30 Jan 2009 13:43:35 +0100

=== debian/control ===
Source: fspy
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://mytty.org/fspy
Vcs-Browser: https://salsa.debian.org/debian/fspy
Vcs-Git: https://salsa.debian.org/debian/fspy.git

Package: fspy
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: filesystem activity monitoring tool
 fspy is an easy to use Linux filesystem activity monitoring tool which is
 meant to be small, fast and to handle system resources conservative.
 You can apply filters, use diffing and your own output format in order to get
 the best results.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh  $@

=== debian/tests/control ===
Test-Command: fspy --version
Restrictions: superficial

## fspy 0.2.0

=== Makefile ===
# This file is part of fspy
# #########################

DATE_FMT = %Y%m%d%H
ifdef SOURCE_DATE_EPOCH
    BUILD ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
    BUILD ?= $(shell date "+$(DATE_FMT)")
endif
#DEBUG = -g -D_DEBUG
OPTS = -DMAJORVERSION=0 -DMINORVERSION=2 -DSUBMINORVERSION=0 -DBUILD=$(BUILD) -DCODENAME=\"25c3\"
CFLAGS += -Wall
SDIR = src/
ODIR = obj/
INSTBINDIR = $(DESTDIR)/usr/bin
SRCS = $(SDIR)fspy.c $(SDIR)enumdirs.c $(SDIR)fsevents.c $(SDIR)isnumber.c $(SDIR)stating.c $(SDIR)output.c $(SDIR)regmatch.c $(SDIR)numlen.c $(SDIR)adaptive.c $(SDIR)diff.c $(SDIR)fanotify_events.c
OBJS = $(ODIR)fspy.o $(ODIR)enumdirs.o $(ODIR)fsevents.o $(ODIR)isnumber.o $(ODIR)stating.o $(ODIR)output.o $(ODIR)regmatch.o $(ODIR)numlen.o $(ODIR)adaptive.o $(ODIR)diff.o $(ODIR)fanotify_events.o
CC = gcc
LD = gcc
LDFLAGS +=
DFLAGS = 
RM = rm
PROG = fspy

all: $(PROG)

$(PROG): $(OBJS)
	$(LD) $(LDFLAGS) $(DFLAGS) $(DEBUG) $(OPTS) $(OBJS) -o $(PROG)

$(ODIR)%.o: $(SDIR)%.c | $(ODIR)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(DFLAGS) $(DEBUG) $(OPTS) -c $< -o $(ODIR)$*.o

$(ODIR):
	mkdir -p $(ODIR)

install:
	cp $(PROG) $(INSTBINDIR)/$(PROG)

clean:
	$(RM) -f $(PROG) $(ODIR)*.o

# DO NOT DELETE THIS LINE -- make depend depends on it.

fspy.o: fspy.h
enumdirs.o: enumdirs.h
fsevents.o: fsevents.h
isnumber.o: isnumber.h
stating.o: stating.h
output.o: output.h
regmatch.o: regmatch.h
numlen.o: numlen.h
adaptive.o: adaptive.h
diff.o: diff.h
fanotify_events.o: fanotify_events.h

=== debian/changelog ===
fspy (0.2.0-1) unstable; urgency=medium

  * New upstream release 0.2.0.
  * Fold all Debian patches into upstream:
    - 01_fix_makefile.patch
    - 02_reproducible_build.patch
    - 03_fix_makefile_cppflags.patch
    - 04_fix_compiler_warnings.patch
    - 05_reformat_to_linux_style.patch
    - 06_update_version_output.patch
    - 07_fix_read_warning.patch
    - 08_improve_readme.patch
    - 09_add_fanotify_support.patch
  * New upstream changes:
    - Modernize copyright headers with SPDX identifiers
    - Use concise event description strings (READ, WRITE, OPEN, etc.)
    - Fix segfault when using -D with -P (fanotify + diff)
    - Improve SIGINT handling for clean shutdown
    - Remove defunct website references
  * debian/patches: Remove all patches (folded into upstream).

 -- Bean Huo <beanhuo@iokpp.de>  Sun, 15 Feb 2026 16:43:28 +0100

fspy (0.1.1-6) unstable; urgency=medium

  * Adopt package. Closes: #866825
  * Set Maintainer to Bean Huo <beanhuo@iokpp.de>.
  * debian/copyright:
      - Update FSF address to https://www.gnu.org/licenses/
      - Add 2025 copyright for debian/* files
      - Mark upstream Source URL as defunct
  * debian/rules:
      - Force xz compression instead of zstd for .deb packages
      - Ensures compatibility with Debian infrastructure
  * debian/upstream/metadata:
      - Add upstream metadata file following DEP-12
      - Provides project information for Ultimate Debian Database
  * debian/patches/09_add_fanotify_support.patch:
      - Add new -P/--show-process option for process tracking
      - Implement fanotify-based monitoring (requires root privileges)
      - New files: src/fanotify_events.c, src/fanotify_events.h
      - Share filtering logic between inotify and fanotify code paths
      - All existing options (-O, -F, -I, -T, -D) work with -P flag
      - Update README with dual monitoring modes documentation
      - Kernel requirement: Linux >= 2.6.37


 -- Bean Huo <beanhuo@iokpp.de>  Sun, 23 Nov 2025 11:43:18 +0100

fspy (0.1.1-5) unstable; urgency=medium

  * QA upload
  * debian/patches/07_fix_read_warning.patch:
      - Fix read() return value warning in grab_max_element_count
      - Add proper error checking for read() system call
      - Add missing close() calls for file descriptor
  * debian/patches/06_update_version_output.patch:
      - Update --version output to show Debian package version
      - Add license information (GPL v2+) to version output
      - Improve formatting with clearer labels
  * debian/patches/04_fix_compiler_warnings.patch:
      - Fix duplicate assignment of dprint.G in diff.c and fspy.c
      - Fix uninitialized variable warnings in adaptive.c (adaptive_delete)
      - Fix uninitialized variable warnings in enumdirs.c (recwrap)
      - Fix uninitialized pointer warnings in diff.c, output.c, and stating.c
      - Fix format specifier warnings for sizeof() in debug prints (%i -> %li)
      - Fix type mismatches for max_element_count and watch descriptors
      - Add proper function prototypes to enumdirs.h
      - Resolves compiler warnings with modern GCC versions (Closes: #1096659)

 -- Bean Huo <beanhuo@micron.com>  Wed, 12 Nov 2025 15:23:37 +0100

## fspy 0.2.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
     BUILD ?= $(shell date "+$(DATE_FMT)")
 endif
 #DEBUG = -g -D_DEBUG
-OPTS = -DMAJORVERSION=0 -DMINORVERSION=2 -DSUBMINORVERSION=0 -DBUILD=$(BUILD) -DCODENAME=\"25c3\"
+OPTS = -DMAJORVERSION=0 -DMINORVERSION=2 -DSUBMINORVERSION=1 -DBUILD=$(BUILD) -DCODENAME=\"25c3\"
 CFLAGS += -Wall
 SDIR = src/
 ODIR = obj/

=== debian/changelog ===
fspy (0.2.1-1) unstable; urgency=medium

  * New upstream release 0.2.1.
  * New upstream changes:
    - Update README: maintainer info, remove defunct URLs and PGP key
    - Replace strncpy with memcpy in fanotify_events.c to fix
      -Wstringop-truncation warnings with hardened build flags
    - Bump version to 0.2.1
  * debian/copyright:
    - Update Upstream-Contact to current maintainer Bean Huo
    - Update Source URL to Salsa repository
    - Add Bean Huo copyright to Files: * section
    - Remove redundant fanotify-specific copyright block

 -- Bean Huo <beanhuo@iokpp.de>  Mon, 16 Feb 2026 11:22:16 +0100
